## org.eclipse.xsd
Enum XSDIdentityConstraintCategory

    java.lang.Object
      java.lang.Enum<XSDIdentityConstraintCategory>
          org.eclipse.xsd.XSDIdentityConstraintCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDIdentityConstraintCategory>, Enumerator

    public enum XSDIdentityConstraintCategory

extends java.lang.Enum<XSDIdentityConstraintCategory>
implements Enumerator

A representation of the literals of the enumeration 'Identity Constraint Category'.

See Also:
  `XSDIdentityConstraintDefinition.getIdentityConstraintCategory()`, `XSDPackage.getXSDIdentityConstraintCategory()`

Enum Constant Summary
`KEY_LITERAL` The 'Key' literal object
`KEYREF_LITERAL` The 'Keyref' literal object
`UNIQUE_LITERAL` The 'Unique' literal object

Field Summary
`static int` `KEY` The 'Key' literal value
`static int` `KEYREF` The 'Keyref' literal value
`static int` `UNIQUE` The 'Unique' literal value
`static java.util.List<XSDIdentityConstraintCategory>` `VALUES` A public read-only list of all the 'Identity Constraint Category' enumerators

Method Summary
`static XSDIdentityConstraintCategory` `get(int value)` Returns the 'Identity Constraint Category' literal with the specified integer value
`static XSDIdentityConstraintCategory` `get(java.lang.String literal)` Returns the 'Identity Constraint Category' literal with the specified literal value
`static XSDIdentityConstraintCategory` `getByName(java.lang.String name)` Returns the 'Identity Constraint Category' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDIdentityConstraintCategory` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDIdentityConstraintCategory[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEY_LITERAL

    public static final XSDIdentityConstraintCategory KEY_LITERAL

  The 'Key' literal object.

  See Also:
    `KEY`

### KEYREF_LITERAL

    public static final XSDIdentityConstraintCategory KEYREF_LITERAL

  The 'Keyref' literal object.

  See Also:
    `KEYREF`

### UNIQUE_LITERAL

    public static final XSDIdentityConstraintCategory UNIQUE_LITERAL

  The 'Unique' literal object.

  See Also:
    `UNIQUE`

Field Detail

### KEY

    public static final int KEY

  The 'Key' literal value.

  This is used to indicate that an identity constraint definition is a key.

  See Also:
    `KEY_LITERAL`, Constant Field Values

### KEYREF

    public static final int KEYREF

  The 'Keyref' literal value.

  This is used to indicate that an identity constraint definition is a keyRef.

  See Also:
    `KEYREF_LITERAL`, Constant Field Values

### UNIQUE

    public static final int UNIQUE

  The 'Unique' literal value.

  This is used to indicate that an identity constraint definition is a unique.

  See Also:
    `UNIQUE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDIdentityConstraintCategory> VALUES

  A public read-only list of all the 'Identity Constraint Category' enumerators.

Method Detail

### values

    public static final XSDIdentityConstraintCategory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDIdentityConstraintCategory c : XSDIdentityConstraintCategory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDIdentityConstraintCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDIdentityConstraintCategory get(java.lang.String literal)

  Returns the 'Identity Constraint Category' literal with the specified literal value.

### getByName

    public static XSDIdentityConstraintCategory getByName(java.lang.String name)

  Returns the 'Identity Constraint Category' literal with the specified name.

### get

    public static XSDIdentityConstraintCategory get(int value)

  Returns the 'Identity Constraint Category' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDIdentityConstraintCategory>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.